%define	name	x11amp
%define	version	0.9-alpha3
%define	release	2
%define	serial	1

Summary:	X11 mp3 player with features not unlike WinAMP.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		X11/Applications
URL:		http://www.x11amp.org
Vendor:		Olle Hallnas <crocodile@x11amp.bz.nu>
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}.wmconfig
Distribution:	Mandrake
Packager:	Jean-Michel Dault <jmdault@netrevolution.com>
Requires:	gtk+ >= 1.1.13
Obsoletes:	%{name}-devel
BuildRoot:	/tmp/%{name}-%{version}

%description
X11amp is a X Windows based mp3 player with a nice interface
borrowed from WinAMP.

%prep
%setup -q
if [ ! -e configure ]; then
	CFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=/usr/X11R6
else
	CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr/X11R6
fi

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/x11amp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/etc/X11/wmconfig/x11amp
/usr/X11R6/bin/x11amp
/usr/X11R6/include/x11amp
/usr/X11R6/lib/libx11amp*
/usr/X11R6/lib/x11amp

%changelog
* Wed Mar 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-2]
- Built against glib/gtk+ version 1.2.0

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
